## gpac-dmo 2.4.0

=== debian/changelog ===
gpac-dmo (1:2.4.0-dmo2~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Oct 2025 14:52:06 +0200

gpac-dmo (1:2.4.0-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with ffmpeg.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Oct 2024 17:42:18 +0100

gpac-dmo (1:2.4.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Oct 2024 17:24:01 +0100

gpac-dmo (1:2.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Apr 2024 23:50:00 +0200

gpac-dmo (1:2.3+20240413.gitd178fe44e-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Remove all CVS patches, fixed upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Apr 2024 09:57:38 +0200

gpac-dmo (1:2.2.1-dmo5) unstable; urgency=medium

  * Remove not needed libxmlrpc-core-c3-dev from Build-Depends
  * Add upstream patches to fixes :
    CVE-2023-5377: Out-of-bounds Read
    CVE-2023-5520: Out-of-bounds Read
    CVE-2023-5586: NULL Pointer Dereference
    CVE-2023-41000: use-after-free vulnerability
    CVE-2023-42298: denial of service
    CVE-2023-47465: denial of service 

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Mar 2024 08:55:24 +0100

gpac-dmo (1:2.2.1-dmo4) unstable; urgency=medium

  * Rebuild for time_t (libssl3t64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 14:59:35 +0100

gpac-dmo (1:2.2.1-dmo3) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Feb 2024 16:48:19 +0100

gpac-dmo (1:2.2.1-dmo2) unstable; urgency=medium

  * Add upstream patches to fixes :
    CVE-2023-3012: NULL Pointer Dereference
    CVE-2023-3013: Unchecked Return Value
    CVE-2023-3291: Heap-based Buffer Overflow
    CVE-2023-39562: heap-use-after-free
    CVE-2023-4678: Divide By Zero
    CVE-2023-4681: NULL Pointer Dereference
    CVE-2023-4682: Heap-based Buffer Overflow
    CVE-2023-4683: NULL Pointer Dereference
    CVE-2023-4720: Floating Point Comparison with Incorrect Operator
    CVE-2023-4721: Out-of-bounds Read
    CVE-2023-4722: Integer Overflow or Wraparound
    CVE-2023-4754: Out-of-bounds Write
    CVE-2023-4755: Use After Free
    CVE-2023-4756: Stack-based Buffer Overflow
    CVE-2023-4758: Buffer Over-read
    CVE-2023-4778: Out-of-bounds Read


 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Sep 2023 11:16:23 +0200

=== debian/control ===
Source: gpac-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gpac.sourceforge.net
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Conflicts: libgpac-dev, libopenjpeg-dev
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libxvidcore-dev,
 libsdl2-dev, libpng-dev, libfreetype-dev, libjpeg62-turbo-dev, libmad0-dev,
 libxml2-dev, libssl-dev, libasound2-dev, freeglut3-dev, libpulse-dev, quilt,
 liblzma-dev, libfaad-dev (>= 2.7), libogg-dev, liba52-0.7.4-dev, libswscale-dev,
 libjack-jackd2-dev, libxv-dev, libvorbis-dev, libtheora-dev, libopenjp2-7-dev,
 libavcodec-dev (>= 10:6.0~), libavdevice-dev, libavformat-dev, libusb-1.0-0-dev,
 libavutil-dev, libnghttp2-dev, libhidapi-dev

# libxmlrpc-core-c3-dev,

Package: gpac
Architecture: any
Depends: gpac-modules-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

Package: gpac-modules-base
Architecture: any
Multi-Arch: same
Breaks: gpac (<= 1:0.5.0-dmo2)
Replaces: gpac (<= 1:0.5.0-dmo2)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GPAC Project on Advanced Content - modules
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It
 is an Open Source multimedia framework for research and academic purposes.
 The project covers different aspects of multimedia, with a focus on
 presentation technologies (graphics, animation and interactivity).
 .
 This package contains the GPAC modules.

Package: libgpac12t64
Provides: ${t64:Provides}
Replaces: libgpac12
Breaks: libgpac12 (<< ${source:Version})
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

Package: libgpac-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgpac12t64 (= ${binary:Version}), ${misc:Depends}
Replaces: gpac (<= 0.4.0+rc2-0.4)
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

include /usr/share/dpkg/architecture.mk

ifeq ($(origin CC),default)
	CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC

ifeq ($(origin CXX),default)
	CXX := $(DEB_HOST_GNU_TYPE)-g++
endif
export CXX

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq "$(DEB_HOST_ARCH)" "armel"
	extralibs += -latomic
endif

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	--libdir=lib/$(DEB_HOST_MULTIARCH) --use-freenect=no \
	--extra-cflags="-DXP_UNIX $(CFLAGS)" --enable-pic --enable-debug \
	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" $(extralibs)

	echo "#define GPAC_GIT_REVISION	\"$(DEB_VERSION)\"" > include/gpac/revision.h

#	exit 1

execute_after_dh_auto_install:
	iconv \
	-f iso8859-1 \
	-t utf8 \
	-o debian/tmp/usr/include/gpac/internal/avilib.h \
	debian/tmp/usr/include/gpac/internal/avilib.h

override_dh_install:
	$(MAKE) install-lib prefix=$(CURDIR)/debian/tmp/usr

	dh_install

#override_dh_auto_build-indep:
#	$(MAKE) doc

#	dh_installdocs share/doc/html-libgpac

override_dh_clean:
	rm -rf src/.deps
	-rm src/.depend

	dh_clean config.log config.h bin/gcc/libgpac* gpac.pc \
	src/filters/dec_openhevc.o applications/generators/WebGLGen/WGLGen \
	src/modules/dektec_out/dektec_video_decl.dep include/gpac/revision.h

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

=== debian/watch ===
version=4

https://github.com/gpac/gpac/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## gpac-dmo 26.02.0

=== Makefile ===
#
# Main gpac Makefile
#
include config.mak

ifndef SRC_PATH
override SRC_PATH = .
endif

vpath %.c $(SRC_PATH)

all: version unit_tests
	$(MAKE) -C src all
	$(MAKE) -C applications all
ifneq ($(STATIC_BINARY),yes)
	$(MAKE) -C modules all
endif


config.mak:
	@echo "running default configure"
	@./configure


GITREV_PATH:=$(SRC_PATH)/include/gpac/revision.h
TAG:=$(shell git --git-dir=$(SRC_PATH)/.git describe --tags --abbrev=0 --match "v*" 2> /dev/null)
VERSION:=$(shell echo `git --git-dir=$(SRC_PATH)/.git describe --tags --long --match "v*" || echo "UNKNOWN"` | sed "s/^$(TAG)-//")
BRANCH:=$(shell git --git-dir=$(SRC_PATH)/.git rev-parse --abbrev-ref HEAD 2> /dev/null || echo "UNKNOWN")

# strip illegal debian version string characters + illegal filename charachers
DHBRANCH:=$(shell echo "$(BRANCH)" | sed 's/[^-+.0-9a-zA-Z~]/-/g' )

version:
	@if [ -d $(SRC_PATH)/".git" ]; then \
		echo "#define GPAC_GIT_REVISION	\"$(VERSION)-$(DHBRANCH)\"" > $(GITREV_PATH).new; \
		if ! diff -q $(GITREV_PATH) $(GITREV_PATH).new >/dev/null ; then \
			mv $(GITREV_PATH).new  $(GITREV_PATH); \
		fi; \
	else \
		echo "No GIT Version found" ; \
	fi

lib:	version
	$(MAKE) -C src all

apps:
	$(MAKE) -C applications all

sggen:
	$(MAKE) -C applications sggen

mods:
	$(MAKE) -C modules all

depend:
	$(MAKE) -C src dep
	$(MAKE) -C applications dep
	$(MAKE) -C modules dep

clean: unit_tests_clean
	$(MAKE) -C src clean
	$(MAKE) -C applications clean
	$(MAKE) -C modules clean

distclean:
	$(MAKE) -C src distclean
	$(MAKE) -C applications distclean
	$(MAKE) -C modules distclean
	rm -f config.mak config.h config.log
	@find . -type f -name '*.gcno*' -delete
	@find . -type f -name '*.gcda*' -delete
	@find . -type f -name '*.dep*' -delete
	@rm -f coverage.info 2> /dev/null
	@rm -f bin/gcc/gm_*$(DYN_LIB_SUFFIX) 2> /dev/null
	@rm -f bin/gcc/gf_*$(DYN_LIB_SUFFIX) 2> /dev/null

doc:
	@cd $(SRC_PATH)/share/doc && doxygen && cp versions.html html-libgpac/

man:
	@cd $(SRC_PATH)/share/doc/man && MP4Box -genman && gpac -genman


UT_CFG_PATH:=unittests/build/config

unit_tests:
ifeq ($(UNIT_TESTS),yes)
	@echo "Unit Tests:"
	@echo "- configuring"
	@mkdir -p unittests/build/bin/gcc

	@cp config.mak unittests/build/
	@sed 's|BUILD_PATH=$(BUILD_PATH)|BUILD_PATH=$(BUILD_PATH)/unittests/build|g' config.mak | \
		sed 's|-I"$(BUILD_PATH)"|-I"$(BUILD_PATH)/unittests/build"|g' > $(UT_CFG_PATH).mak.new
	@if [ -e $(UT_CFG_PATH).mak ]; then \
		if ! diff -q $(UT_CFG_PATH).mak $(UT_CFG_PATH).mak.new >/dev/null ; then \
			mv $(UT_CFG_PATH).mak.new $(UT_CFG_PATH).mak; \
		fi; \
	else \
		mv $(UT_CFG_PATH).mak.new $(UT_CFG_PATH).mak; \
	fi

	@sed 's/GF_STATIC static/GF_STATIC GF_EXPORT/' config.h > $(UT_CFG_PATH).h.new.tmp
	@sed 's/GF_NOT_EXPORTED/GF_NOT_EXPORTED GF_EXPORT/' $(UT_CFG_PATH).h.new.tmp > $(UT_CFG_PATH).h.new
	@rm $(UT_CFG_PATH).h.new.tmp
	@if [ -e $(UT_CFG_PATH).h ]; then \
		if ! diff -q $(UT_CFG_PATH).h $(UT_CFG_PATH).h.new >/dev/null ; then \
			mv $(UT_CFG_PATH).h.new $(UT_CFG_PATH).h; \
		else \
			rm $(UT_CFG_PATH).h.new; \
		fi; \
	else \
		mv $(UT_CFG_PATH).h.new $(UT_CFG_PATH).h; \
	fi

	@$(SRC_PATH)/unittests/build.sh > unittests/build/bin/gcc/unittests.c

	@echo "- building"
	@cd unittests/build && $(MAKE) -C src && $(MAKE) -C src unit_tests

	@echo "- executing"
	$(SRC_PATH)/unittests/launch.sh

	@echo "- done"
endif

unit_tests_clean:
ifeq ($(UNIT_TESTS),yes)
	@echo "Cleaning unit tests artifacts"
	@rm -rf unittests/build/bin
	@cd unittests/build && $(MAKE) -C src clean
endif

test_suite:
	@cd $(SRC_PATH)/testsuite && ./make_tests.sh -precommit -p=0

lcov_clean:
	lcov --directory . --zerocounters

lcov_only:
	@echo "Generating lcov info in coverage.info"
	@rm -f ./gpac-conf-* > /dev/null
	@lcov -q -capture --directory . --output-file all.info
	@lcov --remove all.info '*/usr/*' '*/opt/*' '*/include/*' '*/validator/*' '*/quickjs/*' '*/jsmods/WebGLRenderingContextBase*' '*/utils/gzio*'  --output coverage.info
	@rm all.info
	@echo "Purging lcov info"
	@cd src ; for dir in * ; do cd .. ; sed -i -- "s/$$dir\/$$dir\//$$dir\//g" coverage.info; cd src; done ; cd ..
	@echo "Done - coverage.info ready"

lcov:	lcov_only
	@rm -rf coverage/
	@genhtml -q -o coverage coverage.info

travis_tests:
	@echo "Running tests in $(SRC_PATH)/testsuite"
	@cd $(SRC_PATH)/testsuite && ./make_tests.sh -precommit -p=0

travis_deploy:
	@echo "Deploying results"
	@cd $(SRC_PATH)/testsuite && ./ghp_deploy.sh

travis: travis_tests lcov travis_deploy

dep:	depend

install:
	$(INSTALL) -d "$(DESTDIR)$(prefix)"

	$(MAKE) install-lib

	$(INSTALL) -d "$(DESTDIR)$(prefix)/bin"
	if [ -f bin/gcc/MP4Box$(EXE_SUFFIX) ] ; then \
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/gpac$(EXE_SUFFIX) "$(DESTDIR)$(prefix)/bin" ; \
	fi
ifeq ($(DISABLE_ISOFF),no)
	if [ -f bin/gcc/MP4Box$(EXE_SUFFIX) ] ; then \
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/MP4Box$(EXE_SUFFIX) "$(DESTDIR)$(prefix)/bin" ; \
	fi
endif
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)"
ifneq ($(STATIC_BINARY),yes)
	$(INSTALL) bin/gcc/gm_*$(DYN_LIB_SUFFIX) "$(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)" || true
	$(INSTALL) bin/gcc/gf_*$(DYN_LIB_SUFFIX) "$(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)" || true
ifeq ($(CONFIG_OPENHEVC),yes)
	cp -a bin/gcc/libopenhevc* $(DESTDIR)$(prefix)/$(lib_dir)/ || true
endif

endif
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(man_dir)"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(man_dir)/man1"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/doc/man/mp4box.1 $(DESTDIR)$(prefix)/$(man_dir)/man1/
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/doc/man/gpac.1 $(DESTDIR)$(prefix)/$(man_dir)/man1/
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/doc/man/gpac-filters.1 $(DESTDIR)$(prefix)/$(man_dir)/man1/
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/res"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui/icons"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui/extensions"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/shaders"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/scripts"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/python"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/rmtws"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/default.cfg $(DESTDIR)$(prefix)/share/gpac/

ifneq ($(CONFIG_DARWIN),yes)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/icons/hicolor/128x128/apps"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/applications"

	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/res/gpac.png "$(DESTDIR)$(prefix)/share/icons/hicolor/128x128/apps/"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gpac.desktop "$(DESTDIR)$(prefix)/share/applications/"
endif

	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gui/gui.bt "$(DESTDIR)$(prefix)/share/gpac/gui/"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gui/gui.js "$(DESTDIR)$(prefix)/share/gpac/gui/"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gui/gwlib.js "$(DESTDIR)$(prefix)/share/gpac/gui/"


ifneq (,$(filter yes,$(CONFIG_DARWIN) $(CONFIG_FREEBSD)))
	cp $(SRC_PATH)/share/gui/icons/* "$(DESTDIR)$(prefix)/share/gpac/gui/icons/"
	cp -R $(SRC_PATH)/share/gui/extensions/* "$(DESTDIR)$(prefix)/share/gpac/gui/extensions/"
	cp $(SRC_PATH)/share/shaders/* "$(DESTDIR)$(prefix)/share/gpac/shaders/"
	cp -R $(SRC_PATH)/share/scripts/* "$(DESTDIR)$(prefix)/share/gpac/scripts/"
	cp -R $(SRC_PATH)/share/python/* "$(DESTDIR)$(prefix)/share/gpac/python/"
	cp $(SRC_PATH)/share/res/* "$(DESTDIR)$(prefix)/share/gpac/res/"
	cp -R $(SRC_PATH)/share/rmtws/* "$(DESTDIR)$(prefix)/share/gpac/rmtws/"
else
	cp --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/gui/icons/* $(DESTDIR)$(prefix)/share/gpac/gui/icons/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/gui/extensions/* $(DESTDIR)$(prefix)/share/gpac/gui/extensions/
	cp --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/shaders/* $(DESTDIR)$(prefix)/share/gpac/shaders/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/scripts/* $(DESTDIR)$(prefix)/share/gpac/scripts/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/python/* $(DESTDIR)$(prefix)/share/gpac/python/
	cp --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/res/* $(DESTDIR)$(prefix)/share/gpac/res/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/rmtws/* $(DESTDIR)$(prefix)/share/gpac/rmtws/
endif

lninstall:
	$(INSTALL) -d "$(DESTDIR)$(prefix)"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(lib_dir)"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/bin"
	ln -sf $(BUILD_PATH)/bin/gcc/gpac$(EXE_SUFFIX) $(DESTDIR)$(prefix)/bin/gpac$(EXE_SUFFIX)
ifeq ($(DISABLE_ISOFF),no)
	ln -sf $(BUILD_PATH)/bin/gcc/MP4Box$(EXE_SUFFIX) $(DESTDIR)$(prefix)/bin/MP4Box$(EXE_SUFFIX)
endif
ifeq ($(CONFIG_DARWIN),yes)
	ln -s $(BUILD_PATH)/bin/gcc/libgpac$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_MAJOR)$(DYN_LIB_SUFFIX)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX)

	ln -s $(BUILD_PATH)/bin/gcc/ $(DESTDIR)$(prefix)/$(lib_dir)/gpac
	ln -s $(SRC_PATH)/share/ $(DESTDIR)$(prefix)/share/gpac
else
	ln -s $(BUILD_PATH)/bin/gcc/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so.$(VERSION_MAJOR)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so
	ln -s $(BUILD_PATH)/bin/gcc/ $(DESTDIR)$(prefix)/$(lib_dir)/gpac

	ln -s $(SRC_PATH)/share/ $(DESTDIR)$(prefix)/share/gpac
	ln -sf $(DESTDIR)$(prefix)/share/gpac/res/gpac.png $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/gpac.png
	ln -sf $(SRC_PATH)/share/gpac.desktop $(DESTDIR)/usr/share/applications/

ifeq ($(DESTDIR)$(prefix),$(prefix))
	ldconfig || true
endif

endif

uninstall:
	$(MAKE) -C applications uninstall
	$(MAKE) uninstall-lib
	rm -rf $(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)
	rm -rf $(DESTDIR)$(prefix)/bin/MP4Box
	rm -rf $(DESTDIR)$(prefix)/bin/gpac
	rm -rf $(DESTDIR)$(prefix)/$(man_dir)/man1/mp4box.1
	rm -rf $(DESTDIR)$(prefix)/$(man_dir)/man1/gpac.1
	rm -rf $(DESTDIR)$(prefix)/$(man_dir)/man1/gpac-filters.1
	rm -rf $(DESTDIR)$(prefix)/share/gpac
	rm -rf $(DESTDIR)$(prefix)/share/icons/hicolor/128x128/apps/gpac.png
	rm -rf $(DESTDIR)$(prefix)/share/applications/gpac.desktop


installdylib:
ifneq ($(STATIC_BUILD),yes)

	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(lib_dir)"

ifeq ($(CONFIG_WIN32),yes)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/bin"

	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac.dll.a $(DESTDIR)$(prefix)/$(lib_dir)
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac.dll $(DESTDIR)$(prefix)/bin
else

ifeq ($(DEBUGBUILD),no)
	$(STRIP) -S bin/gcc/libgpac$(DYN_LIB_SUFFIX)
endif

ifeq ($(CONFIG_DARWIN),yes)
	$(INSTALL) -m 755 bin/gcc/libgpac$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX)
	ln -sf libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_MAJOR)$(DYN_LIB_SUFFIX)
	ln -sf libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX)
else
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME)
	ln -sf libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so.$(VERSION_MAJOR)
	ln -sf libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so
ifeq ($(DESTDIR)$(prefix),$(prefix))
	ldconfig || true
endif
endif

endif

endif


uninstalldylib:
	rm -rf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac*
ifeq ($(CONFIG_WIN32),yes)
	rm -rf "$(DESTDIR)$(prefix)/bin/libgpac*"

=== applications/mp4box/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/applications/mp4box

CFLAGS=-I"$(SRC_PATH)/include" $(OPTFLAGS)

ifeq ($(DEBUGBUILD),yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD),yes)
ifeq ($(CONFIG_DARWIN),yes)
CFLAGS+=-fprofile-instr-generate
LDFLAGS+=-fprofile-instr-generate
else
CFLAGS+=-pg
LDFLAGS+=-pg
endif
endif

LINKFLAGS=-L../../bin/gcc -L../../extra_lib/lib/gcc
ifeq ($(CONFIG_EMSCRIPTEN),yes)
else ifeq ($(CONFIG_DARWIN),yes)
#LINKFLAGS+= -Wl,-rpath,'@loader_path'
else
LINKFLAGS+= -Wl,-rpath,'$$ORIGIN' -Wl,-rpath,$(prefix)/lib -Wl,-rpath-link,../../bin/gcc
endif

ifeq ($(STATIC_BUILD),yes)
##include static modules and other deps for libgpac
include ../../static.mak
ifneq ($(PKG_CONFIG), no)
LINKFLAGS+=$(shell $(PKG_CONFIG) ../../gpac.pc --libs --static | sed 's/-lgpac //'  )
else
LINKFLAGS+= -lgpac_static
endif
LINKFLAGS+= $(GPAC_SH_FLAGS)
LINKFLAGS+=$(zlib_ldflags) $(opensvc_ldflags) $(ssl_ldflags) $(jpeg_ldflags) $(openjpeg_ldflags) $(png_ldflags) $(mad_ldflags) $(a52_ldflags) $(xvid_ldflags) $(faad_ldflags)
LINKFLAGS+=$(ffmpeg_ldflags) $(ogg_ldflags) $(vorbis_ldflags) $(theora_ldflags) $(nghttp2_ldflags) $(vtb_ldflags)
LINKFLAGS+=$(EXTRALIBS)
else
LINKFLAGS+=-lgpac
endif


ifeq ($(CONFIG_WIN32),yes)
EXE=.exe
PROG=MP4Box$(EXE)
LINKFLAGS+=$(UNICODEFLAGS)

ifeq ($(HAS_WMAIN),no)
CFLAGS+=-DNO_WMAIN
endif

else

EXT=
PROG=MP4Box

ifeq ($(STATIC_BINARY),yes)
LINKFLAGS+= $(GPAC_SH_FLAGS)
endif

endif

#common obj
OBJS=mp4box.o filedump.o fileimport.o
ifeq ($(DISABLE_STREAMING),no)
OBJS+=live.o
endif



SRCS := $(OBJS:.o=.c)

ifeq ($(CONFIG_WIN32),yes)
OBJS+=$(SRC_PATH)/manifest.o
endif

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) -o ../../bin/gcc/$@ $(OBJS) $(LINKFLAGS) $(LDFLAGS)

clean:
	rm -f $(OBJS) ../../bin/gcc/$(PROG)

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== modules/caca_out/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/caca_out

CFLAGS=-I"$(SRC_PATH)/include" -I/opt/local/include $(OPTFLAGS) $(libcaca_cflags)

LINKFLAGS=-L../../bin/gcc -lgpac -L/opt/local/lib $(libcaca_ldflags)

include ../common.mak

#common obj
OBJS=caca_out.o
SRCS := $(OBJS:.o=.c)

LIB=gm_caca_out$(DYN_LIB_SUFFIX)


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(LINKFLAGS) $(LDFLAGS)

clean:
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== modules/ft_font/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/ft_font

CFLAGS=-I"$(SRC_PATH)/include" $(OPTFLAGS) $(freetype_cflags)

include ../common.mak

#common obj
OBJS= ft_font.o

SRCS := $(OBJS:.o=.c)

LIB=gm_ft_font$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
#LDFLAGS+=-export-symbols ft_font.def
endif


ifneq ($(STATIC_BUILD),yes)
LINKVAR=-L../../bin/gcc -lgpac $(freetype_ldflags)
else
LINKVAR=-L../../bin/gcc -lgpac_static $(freetype_ldflags)
endif


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(LINKVAR) $(EXTRALIBS) $(LDFLAGS)
ifeq ($(STATIC_BUILD),yes)
	$(CC) $(SHFLAGS) -o ../../bin/gcc/gm_ft_font-static$(DYN_LIB_SUFFIX) $(OBJS) $(LINKVAR) $(EXTRALIBS) $(LDFLAGS)
endif


clean:
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== modules/jack/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/jack

CFLAGS=-I"$(SRC_PATH)/include" $(OPTFLAGS) $(oss_cflags) -Wno-deprecated-declarations

include ../common.mak

#common obj
OBJS= jack.o

SRCS := $(OBJS:.o=.c)


LIB=gm_jack$(DYN_LIB_SUFFIX)

all: $(LIB)

$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac -L$(prefix)/$(libdir)  -ljack

clean:
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== modules/pulseaudio/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/pulseaudio

CFLAGS=-I"$(SRC_PATH)/include" $(OPTFLAGS)

include ../common.mak

#common obj
OBJS= pulseaudio.o

SRCS := $(OBJS:.o=.c)

LIB=gm_pulseaudio$(DYN_LIB_SUFFIX)

all: $(LIB)

$(LIB): $(OBJS)
	echo $(LDFLAGS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac -lpulse -lpulse-simple

clean:
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== debian/changelog ===
gpac-dmo (1:26.02.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Feb 2026 15:14:34 +0100

gpac-dmo (1:2.4.0-dmo3) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 17:22:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: gpac-dmo
 Section: graphics
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gpac.sourceforge.net
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Conflicts: libgpac-dev, libopenjpeg-dev
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libxvidcore-dev,
  libsdl2-dev, libpng-dev, libfreetype-dev, libjpeg62-turbo-dev, libmad0-dev,
@@ -42,10 +40,7 @@
  .
  This package contains the GPAC modules.
 
-Package: libgpac12t64
-Provides: ${t64:Provides}
-Replaces: libgpac12
-Breaks: libgpac12 (<< ${source:Version})
+Package: libgpac16
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -62,7 +57,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgpac12t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libgpac16 (= ${binary:Version}), ${misc:Depends}
 Replaces: gpac (<= 0.4.0+rc2-0.4)
 Description: multimedia framework based on the MPEG-4 Systems standard
  The main development goal is to provide a clean (a.k.a. readable by as many

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	--libdir=lib/$(DEB_HOST_MULTIARCH) --use-freenect=no \
-	--extra-cflags="-DXP_UNIX $(CFLAGS)" --enable-pic --enable-debug \
-	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" $(extralibs)
+	--enable-debug \
+	--enable-pic \
+	--extra-cflags="-DXP_UNIX $(CFLAGS)" \
+	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" $(extralibs) \
+	--libdir=lib/$(DEB_HOST_MULTIARCH) \
+	--use-freenect=no
+
 
 	echo "#define GPAC_GIT_REVISION	\"$(DEB_VERSION)\"" > include/gpac/revision.h

=== debian/watch ===
Version: 5

Template: Github
Owner: gpac
Project: gpac
